import { NgModule } from "@angular/core";
import { CommonModule } from "@angular/common";
import { TestSessionComponent } from "./test-session.component";
import { TestSessionRoutingModule } from "./test-session-routing.module";
import {
  MatButtonModule,
  MatCardModule,
  MatCheckboxModule,
  MatChipsModule,
  MatFormFieldModule,
  MatListModule,
  MatProgressBarModule,
  MatProgressSpinnerModule,
  MatRadioModule,
  MatSnackBarModule,
} from "@angular/material";
import { FormsModule, ReactiveFormsModule } from "@angular/forms";
import { FlexModule } from "@angular/flex-layout";
import { CountdownModule } from "ngx-countdown";

@NgModule({
  declarations: [TestSessionComponent],
  imports: [
    CommonModule,
    TestSessionRoutingModule,
    MatListModule,
    MatChipsModule,
    MatButtonModule,
    MatSnackBarModule,
    ReactiveFormsModule,
    MatFormFieldModule,
    MatRadioModule,
    FormsModule,
    FlexModule,
    MatCheckboxModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatProgressBarModule,
    CountdownModule,
  ],
})
export class TestSessionModule {}
