import {NgModule} from '@angular/core';
import {RouterModule, Routes} from '@angular/router';
import {TestListComponent} from './test-list/test-list.component';
import {TestEditComponent} from "./test-edit/test-edit.component";
import {CandidateTestListComponent} from "./candidate-test-list/candidate-test-list.component";

const routes: Routes = [
  { path: '', component: TestListComponent},
  { path: 'list', component: TestListComponent},
  { path: 'edit/:id', component: TestEditComponent},
  { path: 'create', component: TestEditComponent},
  { path: 'candidate-tests', component: CandidateTestListComponent}
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class TestRoutingModule { }
