alter table users
    add column first_name varchar(128);
alter table users
    add column last_name varchar(128);
alter table users
    add column middle_name varchar(128);
alter table users
    add column sys_operation varchar(128);
alter table users
    add column sys_ds timestamp without time zone;
alter table users
    add column sys_name varchar(128);
alter table users
    add column sys_login varchar(128);
alter table users
    drop column name;

CREATE TABLE users_history
(
    history_id          bigint PRIMARY KEY NOT NULL,
    id                  BIGINT,
    email               VARCHAR,
    phone               VARCHAR(10),
    password            VARCHAR,
    registered          TIMESTAMP without time zone,
    enabled             BOOL,
    parent_id           BIGINT,
    confirmed           BOOL,
    confirmation_code   VARCHAR(128),
    reset_password_code VARCHAR(128),
    first_name          varchar(128),
    last_name           varchar(128),
    middle_name         varchar(128),
    sys_operation       character varying(255),
    sys_ds              timestamp without time zone,
    sys_name            character varying(255),
    sys_login           character varying(255)
);

CREATE TRIGGER trg_users_history
    BEFORE INSERT OR UPDATE OR DELETE
    ON users
    FOR EACH ROW
EXECUTE PROCEDURE trgf_all_history();
