package com.example.new_test_lab.config;

import org.springframework.web.servlet.support.AbstractAnnotationConfigDispatcherServletInitializer;


public class ServletInitializer extends AbstractAnnotationConfigDispatcherServletInitializer {

    private static final String[] SERVLET_MAPPINGS = new String[]{"/"};

    @Override
    protected Class<?>[] getRootConfigClasses() {
        return new Class[] { DbConfig.class, WebAppSecurity.class, ToolsConfig.class };
    }

    @Override
    protected Class<?>[] getServletConfigClasses() {
        return new Class[] { WebMvcConfig.class };
    }

    @Override
    protected String[] getServletMappings() {
        return SERVLET_MAPPINGS;
    }

}
