package com.example.new_test_lab.dto;

import jakarta.validation.constraints.NotEmpty;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.Data;

import java.util.List;

@Data
public class CandidateChoiceDto {
    @NotNull(message = "{test.system.error.candidateChoice.questionId}")
    @Positive(message = "{test.system.error.candidateChoice.answerId}")
    private Long questionId;
    @NotEmpty(message = "{test.system.error.candidateChoice.answerId}")
    private List<Long> answerIds;
}
