package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.CandidateTest;
import com.fasterxml.jackson.annotation.JsonUnwrapped;

import java.util.List;

public class CandidateTestWithAnswersDto {
    @JsonUnwrapped
    private CandidateTest candidateTest;
    private List<TopicStatDto> topicStatistic;

    private List<CandidateQuestionDto> questions;

    public CandidateTestWithAnswersDto() {
    }

    public CandidateTestWithAnswersDto(CandidateTest candidateTest, List<TopicStatDto> topicStatistic, List<CandidateQuestionDto> questions) {
        this.candidateTest = candidateTest;
        this.topicStatistic = topicStatistic;
        this.questions = questions;
    }

    public CandidateTest getCandidateTest() {
        return candidateTest;
    }

    public List<TopicStatDto> getTopicStatistic() {
        return topicStatistic;
    }

    public List<CandidateQuestionDto> getQuestions() {
        return questions;
    }

}
