package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.enums.TypeComp;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;

@Data
@AllArgsConstructor
@NoArgsConstructor
@ToString
public class CompanyInfoDto {

    @Positive(message = "{test.system.error.user.id}")
    protected Long id;//TODO validators
    private TypeComp typeComp;
    private String legalNameComp;
    private String inn;
    private String kpp;
    private String ogrn;
    private String bik;
    private String paymentAccount;
    private String correspondentAccount;
    private String bankName;
    private String legalAddress;
    private String actualAddress;
    private String nameCeo;
    private String namePost;
    private String postAddress;

}
