package com.example.new_test_lab.dto;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.Data;


@Data
public class CreateCandidateTestDto {
    @NotNull(message = "{test.system.error.candidateTest.testId}")
    @Positive(message = "{test.system.error.candidateTest.testId}")
    private Long testId;
    @NotBlank(message = "{test.system.error.candidateTest.name}")
    private String candidateName;
    private String note;
}
