package com.example.new_test_lab.event;

import com.example.new_test_lab.model.enums.OrderStatus;
import lombok.Getter;
import org.springframework.context.ApplicationEvent;

@Getter
public class OrderStatusChangedEvent extends ApplicationEvent {
    private Long orderId;
    private Integer paymentId;
    private OrderStatus status;

    public OrderStatusChangedEvent(Object source, Long orderId, Integer paymentId, OrderStatus status) {
        super(source);
        this.orderId = orderId;
        this.paymentId = paymentId;
        this.status = status;
    }
}
