package com.example.new_test_lab.exception;

public class ServerException extends RuntimeException {

    private int code;

    public ServerException(Exceptions e)
    {
        this(e.getCode(), e.getMessage());
    }

    public ServerException(Exceptions e, String... args)
    {
        this(e.getCode(), e.getMessage(args));
    }

    public ServerException(int code,  String message)
    {
        super(message);
        this.code = code;
    }

    public int getCode() {
        return code;
    }
}
