package com.example.new_test_lab.model;

import lombok.*;

import java.time.LocalDateTime;

@Getter
@Setter
@ToString
@NoArgsConstructor
@AllArgsConstructor
public class Account {
    private Long userId;
    private int testBalance;
    private int userLimit;
    private LocalDateTime subscriptionStart;
    private LocalDateTime subscriptionEnd;

    public Account(Account account) {
        this.userId = account.getUserId();
        this.testBalance = account.getTestBalance();
        this.userLimit = account.getUserLimit();
        this.subscriptionStart = account.getSubscriptionStart();
        this.subscriptionEnd = account.getSubscriptionEnd();
    }
}
