package com.example.new_test_lab.model.enums;

public enum TypeComp {
    IP("IP"),
    OOO("OOO"),
    AO("AO"),
    PAO("PAO"),
    ZAO("ZAO");

    private String code;

    TypeComp(String code) {
        this.code = code;
    }

    public static TypeComp getTypeCompByCode(String code){
        if(code == null) {
            return null;
        }
        for(TypeComp typeComp : values()){
            if(typeComp.getCode().equalsIgnoreCase(code)){
                return typeComp;
            }
        }
        return null;
    }

    public String getCode(){
        return code;
    }

    @Override
    public String toString(){
        return code;
    }
}
