package com.example.new_test_lab.repository;



import com.example.new_test_lab.model.Test;

import java.util.List;

public interface TestRepository {

    List<Test> getAll(long userId, int page, int size, String sort);

    List<Test> getAll(long userId, int page, int size, String sort, String levels, String positions);

    Test save(Test test, long userId);

    boolean delete(long id, long userId);

    Test get(long id, long userId);

    int countAll(long userId);

    int countAll(long userId, String levels, String positions);
}
