package com.example.new_test_lab.service;



import com.example.new_test_lab.model.Answer;
import com.example.new_test_lab.model.Question;

import java.util.List;

public interface QuestionService {

    List<Question> getAllByTopicId(long topicId, int page, int size, String sort);

    List<Question> getAllByTestId(long testId);

    int countAllByTopicId(long topicId);

    List<Answer> getAnswers(long questionId);

    Question get(long id);

    Question create(Question question, List<Answer> answers);

    void update(Question question, List<Answer> answers);

    void delete(long id);
}
