package com.example.new_test_lab.util;

import okhttp3.logging.HttpLoggingInterceptor;
import okhttp3.logging.HttpLoggingInterceptor.Level;
import org.slf4j.Logger;

import javax.net.ssl.*;
import java.security.cert.CertificateException;
import java.security.cert.X509Certificate;

public class HttpUtil {

    private final static TrustManager[] trustAllCerts = new TrustManager[]{
            new X509TrustManager() {
                @Override
                public void checkClientTrusted(X509Certificate[] chain, String authType) throws CertificateException {
                }

                @Override
                public void checkServerTrusted(X509Certificate[] chain, String authType) throws CertificateException {
                }

                @Override
                public X509Certificate[] getAcceptedIssuers() {
                    return new X509Certificate[0];
                }
            }
    };

    public static HttpLoggingInterceptor getLoggingInterceptor(Logger logger) {
        HttpLoggingInterceptor logging = new HttpLoggingInterceptor(logger::info);
        logging.setLevel(Level.BODY);
        return logging;
    }

    public static SSLSocketFactory getSSLSocketFactory() {
        try {
            final SSLContext sslContext = SSLContext.getInstance("SSL");
            sslContext.init(null, HttpUtil.trustAllCerts, new java.security.SecureRandom());

            return sslContext.getSocketFactory();
        } catch (Exception ex) {
            return null;
        }
    }

    public static HostnameVerifier getHostnameVerifier() {
        return (hostname, session) -> true;
    }

    public static X509TrustManager geX509TrustManager() {
        return (X509TrustManager) trustAllCerts[0];
    }
}
