import React from "react";
import {Icon} from "rsuite";

export const BackTextLink = ({ rowData, dataKey, action, text, ...props }) => {

    return (
        <a onClick={action} style={{color: '#7D8EA8', cursor: 'pointer', fontWeight: 'bold', fontSize: 13}}>
            <Icon icon='angle-left' size="lg" style={{marginLeft: -10, marginRight: 5}}/>{text}
        </a>
    );
};