import {IconButton} from "rsuite";
import React from "react";

export const SaveButton = ({ hasEditPermit, onClickAction, icon, className, ...props }) => {

    if (!hasEditPermit) {
        return null;
    }
    return (
        <IconButton className={"save-button " + className}
                    appearance="subtle"
                    onClick={onClickAction}
                    icon={icon}
        />
    );
};