export const pathConstants = {
    LOGIN: '/login',
    REGISTER: '/register',
    PASSWORD_RESET: '/password-reset',
    PASSWORD_RESET_CONFIRM: '/password-reset-confirm',
    TESTS_LIST: '/tests',
    TEST_DETAILS: `/tests/:id([0-9]+)`,
    TEST_CREATE: `/tests/create`,
    SECTIONS_LIST: `/sections`,
    TOPICS_LIST: `/topics`,
    SECTION_CREATE: `/sections/create`,
    TOPIC_CREATE: '/sections/topics/create',
    QUESTIONS_LIST: '/sections/topics/:id([0-9]+)/questions',
    QUESTION_DETAILS: `/sections/topics/:id([0-9]+)/questions/:questionId([0-9]+)`,
    QUESTION_CREATE: `/sections/topics/:id([0-9]+)/questions/create`,
    CANDIDATE_TESTS_LIST: '/candidate-tests',
    CANDIDATE_TEST_DETAILS: '/candidate-tests/:id([0-9]+)',
    SETTINGS: `/settings`,
    COMPANY_INFO: `/company-info`,
    FAQ: `/faq`,
    BILLS: `/bills`,
    DEPOSIT: `/deposit`

};