export const language = {
    ID: '№',
    FILTER: 'Фильтр',
    DO_FILTER: 'Фильтровать',
    CLEAR_FILTER: 'Сбросить фильтры',
    TOGGLE_FILTER: 'Скрыть',
    CHOOSE_STATUS: 'Выберите статус',
    TESTS_LIST: 'Список шаблонов тестов',
    TESTS: 'Шаблоны тестов',
    QUESTIONS_LIST: 'Список вопросов',
    TOPICS_LIST: 'Разделы и темы',
    SECTIONS_LIST: 'Разделы и темы',
    CANDIDATE_TESTS_LIST: 'Результаты кандидатов',
    TYPE: 'Тип',
    NO_PERMISSIONS: 'Действие недоступно',
    SAVE: 'Сохранить',
    DELETE: 'Удалить',
    BACK: 'Назад',
    FACT_DURATION_MINUTES: 'Длительность фактическая',
    TEST_DURATION: 'Длительность теста (мин.)',
    DURATION_MINUTES: 'Длительность теста',
    DURATION_MINUTES_VALUE: function(value) {
        return value + ' мин.';
    },
    FACT_DURATION_MINUTES_VALUE: function(fact) {
        return  fact + ' мин.';
    },
    DURATION_SECONDS: 'Длительность (сек.)',
    GENERATE_CANDIDATE_TEST: 'Сгенерировать для кандидата',
    TOPICS: 'Темы вопросов',
    SECTIONS: 'Разделы',
    QUESTIONS: 'Раздел вопросов',
    TOPICS_QUESTIONS: 'Темы и вопросы',
    SECTIONS_QUESTIONS: 'Темы и вопросы',
    TEST_RESULTS: 'Результаты кандидатов',
    TEST_RESULT: 'Результат',
    CANDIDATE_TEST_RESULT: 'Результат теста',
    QUESTIONS_NUMBER: 'Количество вопросов',
    DESCRIPTION: 'Описание',
    EDIT_TEST: 'Редактировать шаблон теста',
    CREATE_TEST: 'Создать новый шаблон теста',
    NO_TESTS: 'Пока не создано ни одного шаблона теста',
    NO_CANDIDATE_TESTS: 'Еще не создано ни одного теста',
    CREATE_QUESTION_TOOLTIP: 'Добавить новый вопрос',
    CREATE_QUESTION: 'Создание вопроса',
    EDIT_QUESTION: 'Редактирование вопроса',
    QUESTION_LEVEL: 'Уровень сложности',
    QUESTION_TYPE: 'Тип вопроса',
    CHOOSE_QUESTION_LEVEL: 'Уровень сложности',
    CHOOSE_TEST_LEVEL: 'Уровень сложности',
    CHOOSE_TEST_DURATION: 'Выберите длительность',
    CHOOSE_QUESTION_TYPE: 'Тип вопроса',
    ADD_ANSWER_TOOLTIP: 'Добавить вариант ответа',
    ANSWER_OPTIONS: 'Варианты ответов',
    CORRECT: 'Это верный ответ',
    FILL_ALL_ANSWER_OPTIONS: 'Отметьте хотя бы один верный ответ. Заполните все варианты ответов.',
    CREATE_TEST_TOOLTIP: 'Создать тест',
    CHOOSE_TEST_TOPICS: 'Выберите темы для теста',
    CHOOSE_TEST_SECTIONS: 'Выберите темы для теста',
    CANDIDATE_TEST_CREATED_SUCCESSFULLY: 'Тест для кандидата успешно создан',
    CANDIDATE_TEST_DETAILS: 'Детали теста',
    MAIN_TITLE: 'Центр тестирования by TestLab',
    TEST_NEW: 'Ещё не начат',
    TEST_IN_PROGRESS: 'Тест выполняется',
    TEST_FINISHED: 'Тест завершен',
    COPY_LINK_CODE_TOOLTIP: 'Скопировать ссылку на тест',
    LOW: 'Легкий',
    MEDIUM: 'Средний',
    HIGH: 'Сложный',
    LEVEL: 'Сложность',
    INCREASED_COMPLEXITY: 'Повышенная сложность',
    INCORRECT: 'Не верно',
    LOADING: 'загрузка...',
    DETAILS_NOT_AVAILABLE_TOOLTIP: 'Тест еще не завершен. Отчёт не доступен.',
    ANSWERED: 'Отвечен',
    NOT_ANSWERED: 'Не отвечен',
    CANDIDATE_TEST_GEN_TITLE: 'Создание теста для кандидата',
    CANDIDATE_TEST_GEN_BODY: 'Введите ФИО кандидата и скопируйте ссылку на уникальный тест для кандидата',
    GENERATE: 'Сгенерировать тест для кандидата',
    COPY_LINK: 'Скопировать ссылку',
    CANCEL: 'Отмена',
    PUBLIC_OFFER: 'Публичная офферта',

    BACK_TO_TEST_LIST: 'Назад к списку тестов',
    BACK_TO_RESULTS_LIST: 'Назад к списку результатов',
    BACK_TO_TOPICS: 'Назад к списку тем',
    BACK_TO_QUESTION_LIST: 'Назад к списку вопросов',

    PHONE_VALIDATOR: 'Введите номер телефона. 10 цифр, без +',

    CANDIDATE_TEST_RESULT_OVERVIEW_BAD: 'У кандидата нет опыта работы с данной технологией',
    CANDIDATE_TEST_RESULT_OVERVIEW_LESS_AVG: 'У кандидата недостаточно опыта и знаний данной технологии',
    CANDIDATE_TEST_RESULT_OVERVIEW_GOOD: 'Тест показал средний уровень знаний и, как правило, небольшой опыт работы с технологией',
    CANDIDATE_TEST_RESULT_OVERVIEW_ABOVE_AVG: 'Результат выше среднего показывает, что кандидат имеет значительный опыт работы с данной технологией',
    CANDIDATE_TEST_RESULT_OVERVIEW_PERFECT: 'У кандидата отличные теоретические знания и большой опыт работы с техологией',

    CREATED_DATE: 'Создан',
    TEST_CREATED_DATE: 'Тест создан',
    TEST_STARTED_DATE: 'Тест начат',
    TEST_FINISHED_DATE: 'Тест завершен',
    TEST_LINK_CODE: 'Ссылка на тест',
    GEN_TEST_LINK_CODE: 'Ссылка на тест',
    TEST_LINK_CODE_COPIED: 'Ссылка на тест для кандидата успешно скопирована. Отправьте ссылку вашему кандидату',
    TEST_CORRECT_ANSWERS_STATS: 'Верные ответы',

    ARE_YOU_SURE_TO_DELETE_TEST: 'Вы уверены, что хотите удалить шаблон теста?',

    TITLE: 'Название',
    TEST_TITLE: 'Название теста',
    NOTE: 'Заметка',
    RATING: 'Рейтинг',

    CANDIDATE_FIO: 'ФИО кандидата',

    SOMETHING_WENT_WRONG: 'Упс, что-то пошло не так',
    PAGE_NOT_FOUND: 'Извините, страница не найдена',


    REGDATE_FROM: 'Дата регистрации от',
    TO: 'до',
    REGDATE_FROM_PLACEHOLDER: 'От дд.мм.гггг',
    REGDATE_TO_PLACEHOLDER: 'До дд.мм.гггг',
    CONCLUSION_DATE: 'Заключен',
    CONCLUSION_DATE_FROM: 'Дата заключения от',
    CONCLUSION_DATE_TO: 'Дата заключения до',
    START_DATE: 'Начало действия',
    START_DATE_FROM: 'Дата начала действия от',
    START_DATE_TO: 'Дата начала действия до',
    END_DATE: 'Окончание действия',
    END_DATE_FROM: 'Дата окончания действия от',
    END_DATE_TO: 'Дата окончания действия до',

    DATE_FORMAT_PLACEHOLDER: 'Дата дд.мм.гггг',

    PHONE: 'Телефон',
    EMAIL: 'E-mail',
    REGDATE: 'Дата регистрации',
    STATUS: 'Статус',
    DETAILS: 'Детали',
    ACTIVE: 'Активирован',
    INACTIVE: 'Не активирован',
    FILTER_ACTIVE: 'Активированы',
    FILTER_INACTIVE: 'Не активированы',
    NAME: 'Наименование',
    TEST_TITLE_FOR_CANDIDATE: 'Название теста (Будет показано кандидату)',
    RATING_FROM: 'Рейтинг от',
    RATING_TO: 'Рейтинг до',

    TYPE_COMP: 'Тип компании',
    LEGAL_NAME_COMP: 'Юридическое название компании',
    INN: 'ИНН',
    KPP: 'КПП',
    OGRN: 'ОГРН/ОГРНИП',
    BIK: 'БИК',
    BANK_NAME: 'Название банка',
    PAYMENT_ACCOUNT: 'Расчетный счет',
    CORRESPONDENT_ACCOUNT: 'Корреспондентский счет',
    LEGAL_ADDRESS: 'Юридический адрес',
    ACTUAL_ADDRESS: 'Фактический адрес',
    NAME_CEO: 'ФИО Генерального директора',
    NAME_POST: 'ФИО Получателя писем',
    POST_ADDRESS: 'Почтовый адрес',

    TYPE_COMP_PLACEHOLDER: 'Выберите тип компании',
    LEGAL_NAME_COMP_PLACEHOLDER: 'Введите юридическое название компании',
    INN_PLACEHOLDER: 'Введите ИНН',
    KPP_PLACEHOLDER: 'Введите КПП',
    OGRN_PLACEHOLDER: 'Введите ОГРН/ОГРНИП',
    BIK_PLACEHOLDER: 'Введите БИК',
    BANK_NAME_PLACEHOLDER: 'Введите название банка',
    PAYMENT_ACCOUNT_PLACEHOLDER: 'Введите расчетный счет',
    CORRESPONDENT_ACCOUNT_PLACEHOLDER: 'Введите корреспондентский счет',
    LEGAL_ADDRESS_PLACEHOLDER: 'Введите юридический адрес',
    ACTUAL_ADDRESS_PLACEHOLDER: 'Введите фактический адрес',
    NAME_CEO_PLACEHOLDER: 'Введите ФИО генерального директора',
    NAME_POST_PLACEHOLDER: 'Введите ФИО получателя писем',
    POST_ADDRESS_PLACEHOLDER: 'Введите почтовый адрес',

    OK: 'ОК',

    REQUIRED_INPUT: 'Обязательное поле',
    EMAIL_VALIDATOR: 'Введите корректный email',
    INSERT_NUMBER: 'Введите число',
    MIN_DURATION: 'Минимальная допустимая длительность 1',
    MIN_QUESTION_NUMBER: 'Минимальное допустимое количество вопросов 1',
    INSERT_PHONE: 'Введите цифры',
    RATING_TO_MUST_BE_HIGHER_RATING_FROM: 'Конец диапазона можно указать только при указании начала. Конец дапазона должен быть больше начала.',
    DATE_TO_MUST_BE_HIGHER_DATE_FROM: 'Дату "до" можно указать только при указании "от". Укажите дату "до" позже чем дата "от"',

    PROFILE: 'Личная информация',
    RELATED_USERS: 'Дочерние аккаунты',
    EMAIL_PLACEHOLDER: 'Введите ваш email',
    NAME_PLACEHOLDER: 'Введите ваше имя',
    SURNAME_PLACEHOLDER: 'Введите вашу фамилию',
    FATHER_NAME_PLACEHOLDER: 'Введите ваше отчество',
    COMPANY_PLACEHOLDER: 'Введите название компании',
    PHONE_PLACEHOLDER: 'Введите ваш телефон',
    NEW_OWN_USER_PLACEHOLDER: 'Введите почту нового дочернего аккаунта',

    RECOMMEND_Q_TIME: function(time) {
        return 'Рекомендуемое время ' + time + ' мин';
    },
    RECOMMEND_Q_TIME_DEFAULT: 'Рекомендуемое время на решение одного вопроса 2 минуты',

    RECOMMEND_Q: 'Рекомендуемое количество вопросов ',
    RECOMMEND_Q_DEFAULT: 'Рекомендуемое количество вопросов - по 1 вопросу на 2 минуты',

    PERSON_NAME: 'Имя',
    PERSON_LAST_NAME: 'Фамилия',
    PERSON_MIDDLE_NAME: 'Отчество',
    COMPANY: 'Компания',

    BEFORE: ' до ',

    CURRENT_PASSWORD_PLACEHOLDER: '',
    NEW_PASSWORD_PLACEHOLDER: '',
    PASSWORD: 'Пароль',
    CONFIRM_BUTTON: 'Подтвердить',
    PASSWORD_CONFIRM: 'Подтверждение пароля',
    PASSWORD_RESET: 'Восстановить пароль',
    PASSWORD_RESET_BUTTON: 'Восстановить',
    PASSWORD_RESETTING: 'Восстановление пароля',
    PASSWORD_CHANGE: 'Сменить пароль',
    PASSWORD_MATCH: 'Введенный пароли не совпадают',
    PASSWORD_INSERT: 'Введите новый пароль',
    PASSWORD_INSERT_REPEAT: 'Введите новый пароль снова',

    STRING_MAX_LENGTH(length) {
        return "Максимальная длина " + length + " симв."
    },

    STRING_MIN_LENGTH(length) {
        return "Минимальная длина " + length + " симв."
    },

    CANNOT_LOAD_COMPANY_INFO: 'Ошибка загрузки сведений о компании',
    CANNOT_LOAD_PROFILE: 'Ошибка загрузки профиля',
    CANNOT_LOAD_PRICES: 'Ошибка загрузки тарифов',

    ORDERS_LIST: 'Счета',
    NO_ORDERS: 'Нет счетов',
    EXTERNAL_ORDER_ID: '№',
    PAYMENT_METHOD: 'Способ оплаты',
    AMOUNT: 'Сумма',
    GET_ORDER: 'Скачать счет',
    BILL: 'Cчет',
    ORDER_DATE: 'Дата заказа',
    PAYMENT_DATE: 'Дата оплаты',
    ORDER_STATUS: 'Статус',
    DOCUMENTS_REQUEST: 'Запрос документов',
    IN_PROGRESS: 'В процессе',
    REQUEST_DOCUMENTS: 'Запросить документы',
    DOCUMENTS_RESPONSE: 'Документы',
    DOWNLOAD_DOCUMENTS: 'Скачать документы',
    DOCUMENTS_REQUEST_TITLE: 'Запрос документов',
    DOCUMENTS_REQUEST_BODY: 'Введите ФИО получателя и почтовый адрес для получения документов',
    COMPANY_INFO_NOT_FILLED: 'Для получения счета заполните все сведения о компании',
    COMP: 'Компания',

    PAYMENT_TYPE_TITLE: 'Выберите способ оплаты:',
    PAYMENT_TYPE_RATE_NAME(rateName) {
        return 'Тариф "' + rateName + '"';
    },
    PAYMENT_TYPE_RATE_PRICE(rateAmount) {
        return rateAmount + ' ' + this.RUB;
    },

    PAYMENT_TYPE_CARD: 'Банковская карта',
    PAYMENT_TYPE_INVOICE: 'Счет на оплату',

    RESET_CODE_NOT_FOUND: 'Не указан код восстановления пароля. Возможно ссылка скопирована неверно',

    BASIC_PRICE: 'Базовый',
    PRO_PRICE: 'Профессиональный',
    PREMIUM_PRICE: 'Премиум',

    TEST_NUMBER_SUFFIX: ' тестирований',
    RUB: 'руб',
    PER_TEST: '/тест',

    PACK_BENEFIT: 'Выгода ',

    /**
     * @return {string}
     */
    ALLOWED_NUMBER_FROM_TO: function(min, max) {
        return 'Цифры от ' + min + ' до ' + max;
    },
    YOUR_BALANCE: 'Ваш баланс:',
    SUBSCRIPTION_UNTIL: 'Подписка:',
    SUBSCRIPTION_EXPIRED: 'Подписка истекла',
    REGISTER: 'Регистрация',
    ENTER: 'Вход',
    LOGOUT: 'Выйти',
    FAQ: 'FAQ',
    SETTINGS: 'Настройки',
    COMPANY_INFO: 'Сведения о компании',
    INFO: 'Информация',
    BILLS: 'Счета',
    ACCOUNT_DEPOSIT: 'Пополнить счет',
    FILL_FORM: 'Некоторые поля заполнены неверно',
    LOGIN_TO_REGISTER_CONFIRM: 'Для подтверждения регистрации войдите',
};