import {alertActions} from "../actions/alert.actions";

export function nullToEmptyStr(obj) {
    if (!obj) {
        return '';
    }
    return obj;
}
export function nullToZero(obj) {
    if (!obj) {
        return 0;
    }
    return obj;
}
export function nullToFalse(obj) {
    if (!obj) {
        return false;
    }
    return obj;
}
export function nullToEmptyArray(obj) {
    if (!obj) {
        return [];
    }
    return obj;
}
export function getFromToUrlParams(paramName, paramFrom, paramTo) {
    let param = '';
    if (paramName == null) {
        return param;
    }
    if (paramTo) {
        param = '&' + paramName + '=' + paramFrom +  '&' + paramName + '=' + paramTo;
    } else {
        param = '&' + paramName + '=' + paramFrom;
    }
    return param;
}
export function getArrayUrlParams(paramName, paramArray) {
    let params = '';
    if (paramName == null) {
        return params;
    }
    if (paramArray) {
        paramArray.forEach(param => {
            params += '&' + paramName + '=' + param;
        })
    }
    return params;
}

export function copyToClipBoard(strValue, showAlert, dispatch, alertText, duration) {
    //TODO copy(location.origin + "/test-session/" + link);
    var dummy = document.createElement("textarea");
    // to avoid breaking orgain page when copying more words
    // cant copy when adding below this code
    // dummy.style.display = 'none'
    document.body.appendChild(dummy);
    //Be careful if you use texarea. setAttribute('value', value), which works with "input" does not work with "textarea".
    //TODO fix it in the future
    dummy.value = strValue;
    dummy.select();
    document.execCommand("copy");
    if (showAlert) dispatch(alertActions.success(alertText, duration));
    document.body.removeChild(dummy);
}

export function getTestUrlCode(code) {
    debugger
    return 'http://localhost:4201/test-session/' + code;
}