import React from 'react';
import {language} from "../content/language";
import loyaltyLog from "../helpers/loyaltyLog";


class NotFoundPage extends React.Component {

    constructor(props) {
        loyaltyLog('CONSTRUCTOR NotFoundPage COMPONENT');
        super(props);
    }

    render() {

        loyaltyLog('RENDER NotFoundPage COMPONENT');
        return (
            <div id="notfound" style={{paddingTop: 80, paddingBottom: 80, textAlign: 'center'}}>
                <div>
                    <h3>{language.SOMETHING_WENT_WRONG}</h3>
                    <h1><span>4</span><span>0</span><span>4</span></h1>
                </div>
                <h2>{language.PAGE_NOT_FOUND}</h2>
            </div>
        );
    }
}

export default NotFoundPage;