import { alertConstants } from '../constants/alert.constants';

const alert = (state = {}, action) => {
    switch (action.type) {
        case alertConstants.SUCCESS:
            return {
                type: alertConstants.SUCCESS,
                message: action.message,
                duration: action.duration
            };
        case alertConstants.ERROR:
            return {
                type: alertConstants.ERROR,
                message: action.message,
                duration: action.duration
            };
        case alertConstants.CLEAR:
            return {};
        default:
            return state
    }
};

export default alert