import { userConstants } from '../constants/user.constants';

const initialState = { registerConfirming: false };

const registerConfirm = (state = initialState, action) => {
    switch (action.type) {
        case userConstants.REG_CONFIRM_REQUEST:
            return {
                registerConfirming: true
            };
        case userConstants.REG_CONFIRM_SUCCESS:
            return {
                registerConfirming: false
            };
        case userConstants.REG_CONFIRM_FAILURE:
            return {
                registerConfirming: false
            };
        default:
            return state
    }
};

export default registerConfirm;