import React from 'react';
import { Route, Redirect } from 'react-router-dom';
import {pathConstants} from "../constants/path.constants";

export const PrivateRoute = ({ comp: Component, ...rest }) => (
    <Route {...rest} render={props =>
            localStorage.getItem('user') ? (
                <Component {...props} />
            ) : (
                <Redirect to={{pathname: pathConstants.LOGIN, state: {from: props.location}}} />
            )
        }
    />
);