package com.example.new_test_lab;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.domain.EntityScan;
import org.springframework.data.jpa.repository.config.EnableJpaRepositories;

@SpringBootApplication(scanBasePackages = "com.example.new_test_lab")
@EnableJpaRepositories(basePackages = {"com.example.new_test_lab.repository"})
@EntityScan(basePackages = "com.example.new_test_lab.model")
public class NewTestLabApplication {

    public static void main(String[] args) {
        SpringApplication.run(NewTestLabApplication.class, args);
    }

}
