package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.CandidateTest;
import com.fasterxml.jackson.annotation.JsonUnwrapped;

import java.util.List;

public class CandidateTestDto {
    @JsonUnwrapped
    private CandidateTest candidateTest;
    private List<TopicStatDto> topicStatistic;

    public CandidateTestDto() {
    }

    public CandidateTestDto(CandidateTest candidateTest, List<TopicStatDto> topicStatistic) {
        this.candidateTest = candidateTest;
        this.topicStatistic = topicStatistic;
    }

    public CandidateTest getCandidateTest() {
        return candidateTest;
    }

    public List<TopicStatDto> getTopicStatistic() {
        return topicStatistic;
    }
}
