package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.Section;
import com.example.new_test_lab.model.Topic;
import com.fasterxml.jackson.annotation.JsonUnwrapped;

import java.util.List;


public class SectionTopicDto {
    @JsonUnwrapped
    private Section section;
    private List<Topic> topics;

    public SectionTopicDto() {
    }

    public SectionTopicDto(Section section, List<Topic> topics) {
        this.section = section;
        this.topics = topics;
    }

    public Section getSection() {
        return section;
    }

    public void setSection(Section section) {
        this.section = section;
    }

    public List<Topic> getTopics() {
        return topics;
    }

    public void setTopics(List<Topic> topics) {
        this.topics = topics;
    }
}
