package com.example.new_test_lab.dto;

import com.example.new_test_lab.model.Test;
import com.fasterxml.jackson.annotation.JsonUnwrapped;
import jakarta.validation.Valid;
import jakarta.validation.constraints.NotEmpty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@NoArgsConstructor
@AllArgsConstructor
public class TestDto {
    @Valid
    @JsonUnwrapped
    private Test test;
    @NotEmpty(message = "{test.system.error.test.topicIds}")
    private List<Long> topicIds;
}
