package com.example.new_test_lab.event;


import com.example.new_test_lab.model.enums.CandidateTestStatus;

public class TestStatusChangedEvent {
    private String linkCode;
    private CandidateTestStatus status;

    public TestStatusChangedEvent(String linkCode, CandidateTestStatus status) {
        this.linkCode = linkCode;
        this.status = status;
    }

    public String getLinkCode() {
        return linkCode;
    }

    public CandidateTestStatus getStatus() {
        return status;
    }

    @Override
    public String toString() {
        return "{" +
                "linkCode='" + linkCode + '\'' +
                ", status=" + status +
                '}';
    }
}
