package com.example.new_test_lab.repository;

import com.example.new_test_lab.model.CompanyInfo;
import jakarta.validation.constraints.NotNull;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface CompanyInfoRepository extends JpaRepository<CompanyInfo, Long> {
    @NotNull
    @Override
    CompanyInfo save(@NotNull CompanyInfo companyInfo);

    Optional<CompanyInfo> findCompanyInfoById(long id);

}
