package com.example.new_test_lab.repository;



import com.example.new_test_lab.model.Order;
import com.example.new_test_lab.model.OrderView;

import java.util.List;

public interface OrderRepository {

    List<OrderView> getAll(long userId, int page, int size, String sort);

    List<OrderView> getAll(int page, int size, String sort);

    Order save(Order order);

    Order get(long id);

    int countAll(long userId);

    int countAll();
}
