package com.example.new_test_lab.repository;

import com.example.new_test_lab.model.ResultCode;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;


import java.util.Collection;
import java.util.List;

@Repository
public interface ResultCodeRepository extends JpaRepository<ResultCode, Long> {

    ResultCode findByCode(String code);

    List<ResultCode> findByCandidateTestId(Long candidateTestId);

    List<ResultCode> findByCandidateTestIdIn(Collection<Long> candidateTestIds);

}
