package com.example.new_test_lab.repository;



import com.example.new_test_lab.model.User;
import com.example.new_test_lab.model.enums.Role;

import java.util.List;

public interface UserRepository {

    User save(User user, long userId);

    User get(long id, long userId);

    List<User> getAll(long userId);

    int countAll(long userId);

    boolean delete(long id, long userId);

    User getByEmail(String email);

    User getByResetPasswordCode(String resetPasswordCode);

    boolean isEmailExists(String email);

    boolean isPhoneExists(String phone);

    boolean hasRole(long userId, Role role);
}
