package com.example.new_test_lab.service;


import com.example.new_test_lab.model.CandidateAnswer;
import com.example.new_test_lab.model.CandidateQuestion;

import java.util.List;

public interface CandidateQuestionService {

    void answer(String linkCode, Long questionId, List<Long> answerIds);

    List<CandidateQuestion> getQuestionsByTestId(long candidateTestId, int page, int size);

    List<CandidateQuestion> getQuestionsByLinkCode(String linkCode, int page, int size);

    List<CandidateQuestion> getAllQuestionsByResultCode(String resultCode);

    List<CandidateQuestion> getQuestionsByResultCode(String resultCode, int page, int size);

    List<CandidateAnswer> getAnswers(long... candidateQuestionIds);

}
