package com.example.new_test_lab.service;



import com.example.new_test_lab.dto.DocumentsRequestDto;
import com.example.new_test_lab.dto.OrderDto;
import com.example.new_test_lab.model.Order;
import com.example.new_test_lab.model.OrderView;
import com.example.new_test_lab.model.enums.PaymentMethod;

import java.util.List;

public interface OrderService {

    OrderDto createOrder(long rateId, long userId, PaymentMethod paymentMethod);

    Order get(long id, long userId);

    List<OrderView> getAll(long userId, int page, int size, String sort);

    int countAll(long userId);

    void requestDocuments(DocumentsRequestDto documentsRequest, long userId);

    public String downloadInvoice(long orderId, long companyInfoId);
}
