package com.example.new_test_lab.service;


import com.example.new_test_lab.dto.CountQuestionsDto;
import com.example.new_test_lab.model.Test;

import java.util.List;

public interface TestService {

    List<Test> getAll(long userId, int page, int size, String sort);

    List<Test> getAll(long userId, int page, int size, String sort, String levels, String positions);

    int countAll(long userId);

    int countAll(long userId, String levels, String positions);

    Test create(Test test, List<Long> topicIds, long userId);

    void update(Test test, long userId);

    void delete(long id, long userId);

    Test get(long id, long userId);

    CountQuestionsDto countQuestionsByTopicIds(List<Long> topicIds);
}
