package com.example.new_test_lab.service;

import com.example.new_test_lab.model.Account;
import com.example.new_test_lab.model.User;
import org.springframework.security.core.userdetails.UserDetailsService;

import java.util.List;

public interface UserService extends UserDetailsService {

    List<User> getAll(long userId);

    User create(User user, long userId);

    void update(User user, long userId);

    void delete(long id, long userId);

    User get(long id, long userId);

    void confirm(String confirm, Long userId);

    void resetPassword(String email);

    void setNewPassword(String resetCode, String password);

    Account getAccount(long userId);

    void updateCompanyInfoId(User user, long companyInfoId);

    void decreaseTestBalance(long userId);
}
