package com.example.new_test_lab.tinkoff.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
public abstract class BaseRequest {

    @JsonProperty(value = "TerminalKey")
    private String terminalKey;
    @JsonProperty(value = "Token")
    private String token;

    public BaseRequest(String terminalKey) {
        this.terminalKey = terminalKey;
    }
}
