package com.example.new_test_lab.tinkoff.request;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@EqualsAndHashCode(callSuper=false)
@NoArgsConstructor
@AllArgsConstructor
public class CallbackRequest extends BaseRequest {
    @JsonProperty(value = "OrderId")
    private String orderId;
    @JsonProperty(value = "Success")
    private boolean success;
    @JsonProperty(value = "Status")
    private String status;
    @JsonProperty(value = "PaymentId")
    private int paymentId;
    @JsonProperty(value = "ErrorCode")
    private String errorCode;
    @JsonProperty(value = "Amount")
    private int amount;
    @JsonProperty(value = "CardId")
    private int cardId;
    @JsonProperty(value = "Pan")
    private String pan;
    @JsonProperty(value = "ExpDate")
    private String expDate;
    @JsonProperty(value = "RebillId")
    private String rebillId;
}
