package com.example.new_test_lab.util.docx;

public class DocxConstants {
	private DocxConstants(){}

	public static final String PLACEHOLDER_ID = "id";
	public static final String PLACEHOLDER_ORDER_DATE = "orderDate";
	public static final String PLACEHOLDER_TYPE_COMP = "typeComp";
	public static final String PLACEHOLDER_LEGAL_NAME_COMP = "legalNameComp";
	public static final String PLACEHOLDER_INN = "inn";
	public static final String PLACEHOLDER_KPP = "kpp";
	public static final String PLACEHOLDER_POST_ADDRESS = "postAddress";
	public static final String PLACEHOLDER_RATE_NAME = "rateName";
	public static final String PLACEHOLDER_BILL_PRICE = "billPrice";
	public static final String PLACEHOLDER_NDS_PRICE = "ndsPrice";
	public static final String PLACEHOLDER_PAYMENT_UNTIL_DATE = "paymentUntilDate";

	public static final String DOCUMENT_DATE_PATTERN = "yyyy-MM-dd HH:mm";
	public static final String DOCUMENT_NAME_DATE_PATTERN = "_yyyy-MM-dd_HH-mm";
	public static final String DOCUMENT_PRICE_PATTERN = "#0.00";

	public static final String PDF_FILE_EXTENSION = ".pdf";
	public static final String DOCX_FILE_EXTENSION = ".pdf";

	public static final Double NDS_PERCENT = 0.2;
	public static final long INVOICE_VALID_FOR_2_WEEKS = 14;

}