alter table accounts add column subscription_start timestamp without time zone NOT NULL default now();
alter table accounts add column subscription_end timestamp without time zone NOT NULL default now();

alter table rates add column subscription_days integer NOT NULL default 0;
alter table rates_history add column subscription_days integer NOT NULL;

alter table orders add column subscription_days integer NOT NULL default 0;
alter table orders_history add column subscription_days integer NOT NULL;

alter table sys_params add column default_subscription_days integer default 0;
alter table sys_params_history add column default_subscription_days integer default 0;

SELECT set_config('loylabs.user_name', 'migration V1_0_0_10', true);
SELECT set_config('loylabs.user_login', 'migration V1_0_0_10', true);
insert into rates (name, bill_price, test_amount, subscription_days) values ('Базовый', 14900.0, 50, 30);
insert into rates (name, bill_price, test_amount, subscription_days) values ('Профессиональный', 27900.0, 200, 30);
insert into rates (name, bill_price, test_amount, subscription_days) values ('Премиум', 56900.0, 1000, 30);