
CREATE SEQUENCE result_codes_seq
    INCREMENT 1
    MINVALUE 1
    MAXVALUE 9223372036854775807
    START 1
    CACHE 1;

CREATE TABLE result_codes
(
    id BIGINT PRIMARY KEY DEFAULT NEXTVAL('result_codes_seq'),
    code VARCHAR(255) NOT NULL,
    candidate_test_id BIGINT REFERENCES candidate_tests NOT NULL,
    created_at TIMESTAMP WITHOUT TIME ZONE DEFAULT NOW(),
    ttl BIGINT NOT NULL,
    can_view_answers BOOLEAN NOT NULL DEFAULT FALSE
);
CREATE UNIQUE INDEX result_codes_unique_code_idx ON result_codes (code);
