DROP TABLE sys_params IF EXISTS;

CREATE TABLE sys_params
(
    smtp_host                           character varying(255),
    smtp_port                           INTEGER,
    smtp_user                           character varying(255),
    smtp_password                       character varying(1024),
    smtp_email                          character varying(255),
    email_name                          character varying(255),
    email_register_confirmation_subject character varying(512),
    email_register_confirmation_message character varying(1024),
    email_reset_password_subject        character varying(512),
    email_reset_password_message        character varying(1024),
    email_finish_test_subject           character varying(512),
    email_finish_test_message           character varying(1024),
    default_test_balance                INTEGER default 0,
    default_subscription_days           INTEGER default 0,
    default_user_limit                  INTEGER default 0,
    sys_params_id                       INTEGER default 1,
    tinkoff_url                         varchar(256),
    tinkoff_terminal_key                varchar(256),
    tinkoff_password                    varchar(256),
    temp_invoice_store_path             varchar(1024),
    CONSTRAINT single_row_constraint CHECK (sys_params_id = 1)
);

INSERT INTO sys_params (sys_params_id)
VALUES (1);
