import { alertConstants } from '../constants/alert.constants';

export const alertActions = {
    success,
    error,
    clear
};

function success(message, duration) {
    return { type: alertConstants.SUCCESS, message, duration };
}

function error(message, duration) {
    return { type: alertConstants.ERROR, message, duration };
}

function clear() {
    return { type: alertConstants.CLEAR };
}