import {Icon, IconButton} from "rsuite";
import React from "react";

export const CreateObjectButton = ({ hasEditPermit, onClickAction, icon, className, ...props }) => {

    if (!hasEditPermit) {
        return null;
    }
    return (
        <IconButton className={className}
            appearance="subtle"
            onClick={onClickAction}
            icon={icon}
        />
    );
};