import {Icon, IconButton} from "rsuite";
import React from "react";
import pdfButton from "../../images/download_pdf_button.svg"

export const DownloadPDFButton = ({ hasEditPermit, onClickAction, className, ...props }) => {

    if (!hasEditPermit) {
        return null;
    }
    return (
        <IconButton className={className}
                    appearance="subtle"
                    onClick={onClickAction}
                    icon={<Icon icon={pdfButton}/>}
        />
    );
};