import { combineReducers } from 'redux'
import alert from './alert.reducer'
import authentication from './authentication.reducer';
import testsList from "./testsList.reducer";
import testDetails from "./testDetails.reducer";
import sectionsList from "./sectionsList.reducer";
import questionsList from "./questionsList.reducer";
import questionDetails from "./questionDetails.reducer";
import candidateTestsList from "./candidateTestsList.reducer";
import userProfile from "./userProfile.reducer";
import relatedUsersList from "./relatedUsersList.reducer";
import registerConfirm from "./registerConfirm.reducer";
import topicsList from "./topicsList.reducer";
import ordersList from "./ordersList.reducer";

export default combineReducers({
    alert,
    authentication,
    testsList,
    testDetails,
    sectionsList,
    topicsList,
    questionsList,
    questionDetails,
    candidateTestsList,
    ordersList,
    userProfile,
    relatedUsersList,
    registerConfirm
})