import React from 'react';
import { Route } from 'react-router-dom';

export const PrivateRouteView = ({ comp: Component, viewPermit, ...rest }) => (
    <Route {...rest} render={props =>
            viewPermit ? (
                <Component {...props} />
            ) : null
        }
    />
);